--SKILLS
EXCELENT_SKILL = 0
HIGH_SKILL = 1
GOOD_SKILL = 2
AVERAGE_SKILL = 3

--TARGET SELECTION AND PRIORITIZATION
TARGET_DISANGAGE_TEST_PROBABILITY_LEADER_FACTOR = 0
TARGET_DISANGAGE_TEST_PROBABILITY_WINGMEN_FACTOR = 1
--other wingmen assigned target selection probability = leader_present ? (0.7 * OTHER_WINGMEN_TARGET_SELECTION_PROBABILITY_LEADER_FACTOR + 0.3 * OTHER_WINGMEN_TARGET_SELECTION_PROBABILITY_WINGMEN_FACTOR) :  OTHER_WINGMEN_TARGET_SELECTION_PROBABILITY_WINGMEN_FACTOR
TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR = 2
TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR = 3
--Target prioritization by type propability if most priority target IS NOT AIRDEFENCE  = leader_present ? (0.7 * TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR + 0.3 * TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR) : TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR
AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR = 4
AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR = 5
--Target prioritization by type propability  if most priority target IS AIRDEFENCE = leader_present ? (0.7 * AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR + 0.3 * AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR) : AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR
AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR = 6
AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR = 7
--SAM prioritization by kill distance probability = leader_present ? (0.7 * AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR + 0.3 * AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR) : AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR
TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR = 8
TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR = 9
--Target airdefence protection test probability = leader_present ? (0.7 * TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR + 0.3 * TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR) : TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR
--SELF-DEFENCE
MISSILE_EVASION = 10
MISSILE_LAUNCH_REACTION_DELAY_FACTOR = 11
--DETECTION
VISUAL_AND_OPTIC_DETECITON_DIST_FACTOR = 12
VISUAL_AND_OPTIC_DETECITON_TIME_FACTOR = 13
RADAR_DETECTION_TIME_TO_SCAN_PERIOD_COEFF = 14
CAN_USE_RWR = 15
--A2G-ATTACKS
PATHFINDING_IN_MOUNTAIN_TERRAIN_PROBABILITY = 16
NON_VISIBLE_TARGET_ATTACK_WITH_UNGUIDED_WEAPON = 17
MUTLIPLE_ATTACK_ON_APPROACH = 18
ADDITIONAL_BREAKAWAY_DIST_PERCENT = 19
--breakaway dist = breakaway dist * (1.0 +ADDITIONAL_BREAKAWAY_DIST_PERCENT)
--AIMING
WIND_PARAMS_MEASURING_ACCURACY_IN_AIMING = 20 --orderly distribution
TARGET_VELOCITY_MEASURING_ACCURACY_IN_AIMING = 21 --orderly distribution
--BOMBING
BOMBING_ALONG_RUNWAY = 22
BOMB_AIMING_ANGULAR_ERROR = 23  --orderly distribution
STATIC_COLUMN_ATTACK = 24
MOVING_COLUMN_ATTACK = 25 
COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR = 26
--colum attack req bombs qty = colum attack req bombs optimal qty * (1.0 + random evenly(-1..1) * COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR)
--CANNON ATTACK
HEAVY_ARMORED_TARGET_ATTACK_FROM_REAR_ASPECT = 27
SHELL_PIERCING_CAPABILITIES_TEST_BEFORE_CANNON_ATTACK = 28
GUN_FIRING_START_MEAN_DISTANCE = 29
GUN_FIRING_START_DISTANCE_MAX_ERROR = 30  -- evenly distribution
CANNON_AMMO_OPTIMAL_USING_LEVEL = 31  --0 - best, 2- worst
--ROCKET ATTACK
LIGHT_ROCKET_FIRING_START_MEAN_DISTANCE = 32
LIGHT_ROCKET_FIRING_START_DISTANCE_MAX_ERROR = 33  -- evenly distribution
HEAVY_ROCKET_FIRING_START_MEAN_DISTANCE = 34
HEAVY_ROCKET_FIRING_START_DISTANCE_MAX_ERROR = 35  -- evenly distribution
ROCKET_AIMING_ANGULAR_ERROR = 36  ----orderly distribution
ROCKET_AMMO_OPTIMAL_AMMO_USING_LEVEL = 37  --0 - best, 2- worst
--GROUND TARGET MISSILE ATTACK
SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF = 38
--max_launch_distance_by_skill = min_launch_distance + (max_launch_distance - min_launch_distance) * SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF
ATTACK_REQUIRED_MISSILES_QTY_CALCULATION = 39
BREAKAWAY_FOR_MULTIPLE_MISSILE_ATTACK_IN_SINGLE_APPROACH = 40
MISSILE_LAUNCH_MIN_INTERVAL = 41
--parameter has effect is is different target attack not for multiple missiles attack of single target
--A2A WARFARE
MULTILAUNCH_QTY = 42
AA_MISSILE_MAX_LAUNCH_DISTANCE_COEFF = 43
MAX_NY_RATIO = 44

factors = {
	[EXCELENT_SKILL] = {
		--TARGET SELECTION AND PRIORITIZATION
		[TARGET_DISANGAGE_TEST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_DISANGAGE_TEST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR] = 1.0,
		--SELF-DEFENCE
		[MISSILE_EVASION] = true,
		[MISSILE_LAUNCH_REACTION_DELAY_FACTOR] = 0.0,
		--DETECTION
		[VISUAL_AND_OPTIC_DETECITON_DIST_FACTOR] = 1.0,
		[VISUAL_AND_OPTIC_DETECITON_TIME_FACTOR] = 1.0,		
		[RADAR_DETECTION_TIME_TO_SCAN_PERIOD_COEFF] = 2,
		[CAN_USE_RWR] = true,
		--A2G-ATTACKS
		[PATHFINDING_IN_MOUNTAIN_TERRAIN_PROBABILITY] = 1.0,
		[NON_VISIBLE_TARGET_ATTACK_WITH_UNGUIDED_WEAPON] = true,
		[MUTLIPLE_ATTACK_ON_APPROACH] = true,
		[ADDITIONAL_BREAKAWAY_DIST_PERCENT] = 0.5,
		--AIMING
		[WIND_PARAMS_MEASURING_ACCURACY_IN_AIMING] = 0.0,
		[TARGET_VELOCITY_MEASURING_ACCURACY_IN_AIMING] = 0.0,
		--BOMBING
		[BOMBING_ALONG_RUNWAY] = true,
		[BOMB_AIMING_ANGULAR_ERROR] = 0.0,
		[STATIC_COLUMN_ATTACK] = true,
		[MOVING_COLUMN_ATTACK] = true,
		[COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR] = 0.0,
		--CANNON ATTACK
		[HEAVY_ARMORED_TARGET_ATTACK_FROM_REAR_ASPECT] = true,
		[SHELL_PIERCING_CAPABILITIES_TEST_BEFORE_CANNON_ATTACK] = true,
		[GUN_FIRING_START_MEAN_DISTANCE] = 2050.0,
		[GUN_FIRING_START_DISTANCE_MAX_ERROR] = 0.0,
		[CANNON_AMMO_OPTIMAL_USING_LEVEL] = 0,
		--ROCKET ATTACK
		[LIGHT_ROCKET_FIRING_START_MEAN_DISTANCE] = 2700.0,
		[LIGHT_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 0.0,
		[HEAVY_ROCKET_FIRING_START_MEAN_DISTANCE] = 3500.0,
		[HEAVY_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 0.0,
		[ROCKET_AIMING_ANGULAR_ERROR] = 0.0,
		[ROCKET_AMMO_OPTIMAL_AMMO_USING_LEVEL] = 0,
		--GROUND TARGET MISSILE ATTACK
		[SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF] = 0.9, --originaly 1.0 fix early missile explosion
		[ATTACK_REQUIRED_MISSILES_QTY_CALCULATION] = true,
		[BREAKAWAY_FOR_MULTIPLE_MISSILE_ATTACK_IN_SINGLE_APPROACH] = false, --originaly true
		[MISSILE_LAUNCH_MIN_INTERVAL] = 3.0,
		--A2A WARFARE
		[MULTILAUNCH_QTY] = 0,
		[AA_MISSILE_MAX_LAUNCH_DISTANCE_COEFF] = 1.0,
		[MAX_NY_RATIO] = 1.0
	},
	[HIGH_SKILL] = {
		--TARGET SELECTION AND PRIORITIZATION
		[TARGET_DISANGAGE_TEST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_DISANGAGE_TEST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR] = 1.0,
		--SELF-DEFENCE
		[MISSILE_EVASION] = true,
		[MISSILE_LAUNCH_REACTION_DELAY_FACTOR] = 0.5,
		--DETECTION
		[VISUAL_AND_OPTIC_DETECITON_DIST_FACTOR] = 1.0,
		[VISUAL_AND_OPTIC_DETECITON_TIME_FACTOR] = 1.0,
		[RADAR_DETECTION_TIME_TO_SCAN_PERIOD_COEFF] = 2,
		[CAN_USE_RWR] = true,
		--A2G-ATTACKS
		[PATHFINDING_IN_MOUNTAIN_TERRAIN_PROBABILITY] = 1.0,
		[NON_VISIBLE_TARGET_ATTACK_WITH_UNGUIDED_WEAPON] = true,
		[MUTLIPLE_ATTACK_ON_APPROACH] = true,
		[ADDITIONAL_BREAKAWAY_DIST_PERCENT] = 0.5,
		--AIMING
		[WIND_PARAMS_MEASURING_ACCURACY_IN_AIMING] = 0.2,
		[TARGET_VELOCITY_MEASURING_ACCURACY_IN_AIMING] = 0.2,
		--BOMBING
		[BOMBING_ALONG_RUNWAY] = true,
		[BOMB_AIMING_ANGULAR_ERROR] = 0.3,
		[STATIC_COLUMN_ATTACK] = true,
		[MOVING_COLUMN_ATTACK] = true,
		[COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR] = 0.2,
		--CANNON ATTACK
		[HEAVY_ARMORED_TARGET_ATTACK_FROM_REAR_ASPECT] = true,
		[SHELL_PIERCING_CAPABILITIES_TEST_BEFORE_CANNON_ATTACK] = true,
		[GUN_FIRING_START_MEAN_DISTANCE] = 2200.0,
		[GUN_FIRING_START_DISTANCE_MAX_ERROR] = 200.0,		
		[CANNON_AMMO_OPTIMAL_USING_LEVEL] = 1,
		--ROCKET ATTACK
		[LIGHT_ROCKET_FIRING_START_MEAN_DISTANCE] = 2900.0,
		[LIGHT_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 200.0,
		[HEAVY_ROCKET_FIRING_START_MEAN_DISTANCE] = 3700.0,
		[HEAVY_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 200.0,
		[ROCKET_AIMING_ANGULAR_ERROR] = 0.7,
		[ROCKET_AMMO_OPTIMAL_AMMO_USING_LEVEL] = 1,
		--GROUND TARGET MISSILE ATTACK
		[SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF] = 0.9,
		[ATTACK_REQUIRED_MISSILES_QTY_CALCULATION] = true,
		[BREAKAWAY_FOR_MULTIPLE_MISSILE_ATTACK_IN_SINGLE_APPROACH] = false,
		[MISSILE_LAUNCH_MIN_INTERVAL] = 4.0,
		--A2A WARFARE
		[MULTILAUNCH_QTY] = 4,
		[AA_MISSILE_MAX_LAUNCH_DISTANCE_COEFF] = 0.9,
		[MAX_NY_RATIO] = 1.0
	},
	[GOOD_SKILL] = {
		--TARGET SELECTION AND PRIORITIZATION
		[TARGET_DISANGAGE_TEST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_DISANGAGE_TEST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR] = 1.0,
		--SELF-DEFENCE
		[MISSILE_EVASION] = true,
		[MISSILE_LAUNCH_REACTION_DELAY_FACTOR] = 1.0,
		--DETECTION
		[VISUAL_AND_OPTIC_DETECITON_DIST_FACTOR] = 1.0,
		[VISUAL_AND_OPTIC_DETECITON_TIME_FACTOR] = 1.0,
		[RADAR_DETECTION_TIME_TO_SCAN_PERIOD_COEFF] = 3,
		[CAN_USE_RWR] = true,
		--A2G-ATTACKS
		[PATHFINDING_IN_MOUNTAIN_TERRAIN_PROBABILITY] = 0.0,
		[NON_VISIBLE_TARGET_ATTACK_WITH_UNGUIDED_WEAPON] = false,
		[MUTLIPLE_ATTACK_ON_APPROACH] = true,
		[ADDITIONAL_BREAKAWAY_DIST_PERCENT] = 0.5,
		--AIMING
		[WIND_PARAMS_MEASURING_ACCURACY_IN_AIMING] = 0.2,
		[TARGET_VELOCITY_MEASURING_ACCURACY_IN_AIMING] = 0.2,
		--BOMBING
		[BOMBING_ALONG_RUNWAY] = true,
		[BOMB_AIMING_ANGULAR_ERROR] = 1.0,
		[STATIC_COLUMN_ATTACK] = true,
		[MOVING_COLUMN_ATTACK] = false,
		[COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR] = 0.6,
		--CANNON ATTACK
		[HEAVY_ARMORED_TARGET_ATTACK_FROM_REAR_ASPECT] = false,
		[SHELL_PIERCING_CAPABILITIES_TEST_BEFORE_CANNON_ATTACK] = false,
		[GUN_FIRING_START_MEAN_DISTANCE] = 2200.0,
		[GUN_FIRING_START_DISTANCE_MAX_ERROR] = 400.0,
		[CANNON_AMMO_OPTIMAL_USING_LEVEL] = 1,
		--ROCKET ATTACK
		[LIGHT_ROCKET_FIRING_START_MEAN_DISTANCE] = 3000.0,
		[LIGHT_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 400.0,
		[HEAVY_ROCKET_FIRING_START_MEAN_DISTANCE] = 3800.0,
		[HEAVY_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 400.0,
		[ROCKET_AIMING_ANGULAR_ERROR] = 1.5,
		[ROCKET_AMMO_OPTIMAL_AMMO_USING_LEVEL] = 1,		
		--GROUND TARGET MISSILE ATTACK
		[SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF] = 0.9,
		[ATTACK_REQUIRED_MISSILES_QTY_CALCULATION] = true,
		[BREAKAWAY_FOR_MULTIPLE_MISSILE_ATTACK_IN_SINGLE_APPROACH] = false,
		[MISSILE_LAUNCH_MIN_INTERVAL] = 4.0,
		--A2A WARFARE
		[MULTILAUNCH_QTY] = 2,
		[AA_MISSILE_MAX_LAUNCH_DISTANCE_COEFF] = 0.8,
		[MAX_NY_RATIO] = 1.0
	},
	[AVERAGE_SKILL] = {
		--TARGET SELECTION AND PRIORITIZATION
		[TARGET_DISANGAGE_TEST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_DISANGAGE_TEST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[TARGET_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_TYPE_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_LEADER_FACTOR] = 1.0,
		[AIRDEFENCE_PRIORITIZATION_BY_KILL_DIST_PROBABILITY_WINGMEN_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_LEADER_FACTOR] = 1.0,
		[TARGET_AIRDEFENCE_PROTECTION_TEST_WINGMEN_FACTOR] = 1.0,
		--SELF-DEFENCE
		[MISSILE_EVASION] = true,
		[MISSILE_LAUNCH_REACTION_DELAY_FACTOR] = 2.0,
		--DETECTION
		[VISUAL_AND_OPTIC_DETECITON_DIST_FACTOR] = 1.0,
		[VISUAL_AND_OPTIC_DETECITON_TIME_FACTOR] = 1.0,
		[RADAR_DETECTION_TIME_TO_SCAN_PERIOD_COEFF] = 4,
		[CAN_USE_RWR] = true,
		--A2G-ATTACKS
		[PATHFINDING_IN_MOUNTAIN_TERRAIN_PROBABILITY] = 0.0,
		[NON_VISIBLE_TARGET_ATTACK_WITH_UNGUIDED_WEAPON] = false,
		[MUTLIPLE_ATTACK_ON_APPROACH] = false,
		[ADDITIONAL_BREAKAWAY_DIST_PERCENT] = 0.6,
		--AIMING
		[WIND_PARAMS_MEASURING_ACCURACY_IN_AIMING] = 0.4,
		[TARGET_VELOCITY_MEASURING_ACCURACY_IN_AIMING] = 0.4,
		--BOMBING
		[BOMBING_ALONG_RUNWAY] = true,
		[BOMB_AIMING_ANGULAR_ERROR] = 2.0,
		[STATIC_COLUMN_ATTACK] = false,
		[MOVING_COLUMN_ATTACK] = false,
		[COLUMN_ATTACK_REQUIRED_BOMB_QTY_CALCULATION_MAX_ERROR] = 1.0,
		--CANNON ATTACK
		[HEAVY_ARMORED_TARGET_ATTACK_FROM_REAR_ASPECT] = true,
		[SHELL_PIERCING_CAPABILITIES_TEST_BEFORE_CANNON_ATTACK] = false,
		[GUN_FIRING_START_MEAN_DISTANCE] = 3500.0,
		[GUN_FIRING_START_DISTANCE_MAX_ERROR] = 600.0,
		[CANNON_AMMO_OPTIMAL_USING_LEVEL] = 2,
		--ROCKET ATTACK
		[LIGHT_ROCKET_FIRING_START_MEAN_DISTANCE] = 3200.0,
		[LIGHT_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 600.0,
		[HEAVY_ROCKET_FIRING_START_MEAN_DISTANCE] = 4000.0,
		[HEAVY_ROCKET_FIRING_START_DISTANCE_MAX_ERROR] = 600.0,
		[ROCKET_AIMING_ANGULAR_ERROR] = 2.0,
		[ROCKET_AMMO_OPTIMAL_AMMO_USING_LEVEL] = 2,		
		--GROUND TARGET MISSILE ATTACK
		[SHORT_RANGE_ASM_MAX_LAUNCH_DISTANCE_COEFF] = 0.9,
		[ATTACK_REQUIRED_MISSILES_QTY_CALCULATION] = true,
		[BREAKAWAY_FOR_MULTIPLE_MISSILE_ATTACK_IN_SINGLE_APPROACH] = false,
		[MISSILE_LAUNCH_MIN_INTERVAL] = 4.0,
		--A2A WARFARE
		[MULTILAUNCH_QTY] = 1,
		[AA_MISSILE_MAX_LAUNCH_DISTANCE_COEFF] = 0.8,
		[MAX_NY_RATIO] = 1.0
	}
}